<form
  autocomplete="off"
  [formGroup]="userForm"
  (ngSubmit)="onSubmit($event)"
  class="form-grid"
>
  <div class="form-group">
    <mat-form-field appearance="fill">
      <mat-label>Usuario</mat-label>
      <input
        autocomplete="off"
        type="text"
        matInput
        formControlName="username"
      />
    </mat-form-field>

    <mat-form-field appearance="fill">
      <mat-label>Correo</mat-label>
      <input type="email" matInput formControlName="emailAddress" />
    </mat-form-field>
  </div>

  <div class="form-group">
    <mat-form-field appearance="fill">
      <mat-label>Nombre</mat-label>
      <input
        autocomplete="off"
        type="text"
        matInput
        formControlName="givenName"
      />
    </mat-form-field>

    <mat-form-field appearance="fill">
      <mat-label>Apellido</mat-label>
      <input
        autocomplete="off"
        type="text"
        matInput
        formControlName="surname"
      />
    </mat-form-field>
  </div>

  <div class="form-group" *ngIf="data.isCreate">
    <mat-form-field appearance="fill">
      <mat-label>Constraseña</mat-label>
      <input type="password" matInput formControlName="password" />
    </mat-form-field>

    <mat-form-field appearance="fill">
      <mat-label>Confirmar Contraseña</mat-label>
      <input type="password" matInput formControlName="confirmPassword" />
    </mat-form-field>
  </div>

  <div class="form-group" *ngIf="!data.isCreate">
    <mat-form-field appearance="fill">
      <mat-label>Rol</mat-label>
      <mat-select formControlName="role">
        <mat-option value="Default">Defecto</mat-option>
        <mat-option value="Admin">Admin</mat-option>
      </mat-select>
    </mat-form-field>
  </div>
</form>
<div class="buttons-container">
  <div></div>
  <div></div>
  <button
    (click)="onSubmit($event)"
    mat-stroked-button
    color="primary"
    [disabled]="!userForm.valid || isLoading"
  >
    {{ data.isCreate ? "Crear" : "Actualizar" }}
  </button>
</div>
